#ifndef TMCONFIGUREADVEVCNTDUMPALL_H
#define TMCONFIGUREADVEVCNTDUMPALL_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGButton.h>

class TMConfigureAdvEvCntDumpAll : public TGTransientFrame {
    
  RQ_OBJECT("TMConfigureAdvEvCntDumpAll")
	
  public :
    
  TMConfigureAdvEvCntDumpAll(const TGWindow* p, const TGWindow *main);
  virtual ~TMConfigureAdvEvCntDumpAll();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

  private :
    
  const TGWindow        *fSPD;
  TGButtonGroup         *fTop;
  TGCompositeFrame      *fBottom;
  TGRadioButton         *fRadio[2];
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5, *fLayout6;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  void IncrDataSource(Int_t amount);

  enum EEvents {
    CONF_DUMPALLTRUE,
    CONF_DUMPALLFALSE,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
  };

  ClassDef(TMConfigureAdvEvCntDumpAll, 1);
};

#endif
